Name:           plexus-languages
Summary:        Plexus Languages
Version:        1.0.5
Release:        %mkrel 3
Group:          Development/Java
License:        ASL 2.0

URL:            https://github.com/codehaus-plexus/plexus-languages

# ./generate-tarball.sh
Source0:        %{name}-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
# Sources contain bundled jars that we cannot verify for licensing
Source2:        generate-tarball.sh

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.thoughtworks.qdox:qdox)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.apache.maven.plugins:maven-failsafe-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.ow2.asm:asm)

%description
Plexus Languages is a set of Plexus components that maintain shared
language features.

%{?javadoc_package}


%prep
%setup -q -n %{name}-%{name}-%{version}

cp %{SOURCE1} .

%pom_remove_plugin :maven-enforcer-plugin

%build
# we don't have mockito 2 yet + many tests rely on bundled test jars/classes
%mvn_build -f


%install
%mvn_install


%files -f .mfiles
%license LICENSE-2.0.txt




%changelog
* Fri Aug 21 2020 neoclust <neoclust> 1.0.5-3.mga8
+ Revision: 1617490
- Rebuild correctly as a proper JPMS module

* Fri Aug 21 2020 neoclust <neoclust> 1.0.5-2.mga8
+ Revision: 1617488
- Rebuild against java11

* Sat Mar 21 2020 guillomovitch <guillomovitch> 1.0.5-1.mga8
+ Revision: 1558498
- new version 1.0.5

* Sun Feb 16 2020 umeabot <umeabot> 1.0.3-2.mga8
+ Revision: 1536703
- Mageia 8 Mass Rebuild

* Wed Oct 23 2019 guillomovitch <guillomovitch> 1.0.3-1.mga8
+ Revision: 1455383
- new version 1.0.3

* Thu Sep 20 2018 daviddavid <daviddavid> 0.9.10-1.mga7
+ Revision: 1288067
- imported package plexus-languages


* Mon Jul 23 2018 Michael Simacek <msimacek@redhat.com> - 0.9.10-3
- Repack tarball without bundled jars

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Michael Simacek <msimacek@redhat.com> - 0.9.10-1
- Update to upstream version 0.9.10

* Fri Jun 29 2018 Michael Simacek <msimacek@redhat.com> - 0.9.3-5
- Disable broken test

* Wed Feb 14 2018 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.9.3-4
- Generate javadoc package automatically

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Sep 12 2017 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.9.3-2
- Replace JARs used as test resources with symlinks to system JARs

* Mon Sep 11 2017 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.9.3-1
- Initial packaging
